Summary: ctrlproxy
Name: ctrlproxy
Version: 3.0.5
Release: 2%{?dist}
License: GPLv2+
Group: Applications/Internet
Source: http://jelmer.vernstok.nl/releases/ctrlproxy-%{version}.tar.gz
Url: http://jelmer.vernstok.nl/ctrlproxy/
Patch0: ctrlproxy-fix-ansi-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: glib2-devel, popt, gnutls-devel

%description
ctrlproxy is an IRC server with multiserver support. It runs as a dæmon
and connects to a number of IRC servers, then allows you to connect from
a workstation and work as the user that is logged in to the IRC server.
After you disconnect, it maintains the connection to the server. It acts
like any normal IRC server, so you can use any IRC client to connect to
it. It supports multiple client connections to one IRC server (under the
same nick), allowing you to connect to IRC using your IRC nick, even
while you have an IRC session open somewhere else. It supports logging
(in the same format as the irssi IRC client), password authentication,
and ctcp (in case no clients are connected).

%package devel
Summary: ctrlproxy development headers
Group: Applications/Internet

%description devel
ctrlproxy development headers

%prep
%setup -q
%patch0 -p1

%build
%configure
make
make -C doc manpages


%install
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT -C doc install
chmod 0644 ${RPM_BUILD_ROOT}%{_datadir}/ctrlproxy/motd

%clean
[ -d "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/*
%{_mandir}/*
%dir %{_datadir}/ctrlproxy
%{_datadir}/ctrlproxy/*
%dir %{_docdir}/ctrlproxy
%{_docdir}/ctrlproxy/*

%files devel
%defattr(-,root,root)
%{_includedir}/ctrlproxy-3.0/*
%{_libdir}/pkgconfig/ctrlproxy.pc

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.5-2
- Autorebuild for GCC 4.3

* Mon Jan 14 2008 Josh Boyer <jwboyer@gmail.com> 3.0.5-1
- Update to latest upstream

* Mon Jan 07 2008 Josh Boyer <jwboyer@gmail.com> 3.0.3-2
- Fix build against new glib

* Sun Nov 18 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 3.0.3-1
- Update to latest upstream

* Fri Aug 03 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 3.0.2-3
- Update license field

* Sat May 26 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 3.0.2-2
- Fix mockbuild

* Sat May 26 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 3.0.2-1
- Update to latest release

* Sun Aug 27 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-7
- Bump release and rebuild for FE6

* Sat Feb 18 2006 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-6
- Bump release and rebuild for FE5

* Thu Nov 10 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-5
- Rebuild agains new openssl

* Fri Aug 7 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-4
- Fix file modes... again
- Fixes bug 161690 (patch from Michael Schwendt)

* Wed Jun 22 2005 Josh Boyer <jwboyer@jdub.homelinux.org> 2.6.2-3
- Fix file modes

* Sun Jun 19 2005 David Woodhouse <dwmw2@infradead.org> 2.6.2-2
- Fix file modes
- Drop ctrlproxy.h from package

* Fri Jun 17 2005 David Woodhouse <dwmw2@infradead.org> 2.6.2-1
- Update for the 2.6.2 release.
- Make manpages

* Wed May 12 2004 Sean Reifschneider <jafo-rpms@tummy.com>
[Release 2.6.1-1]
- Update for the 2.6.1 release.

* Tue Nov 18 2003 Sean Reifschneider <jafo-rpms@tummy.com>
[Release 2.5-1]
- Updated for the 2.5 release.
- Making the "clean" mechanisms safer in the .spec file.
